Imports BaseFunction.PublicMethod
Partial Class Manager_FileExplorer
    Inherits System.Web.UI.Page
    Public Function ShowPath() As String
        Dim strFileName As String = IO.Path.GetFileName(Request.PhysicalPath)
        Dim strPath As String = Request("Path")
        If strPath IsNot Nothing AndAlso strPath.Length > 0 Then
            Return strPath
        Else
            Dim mGetPlug As New DB_PlugModular.clsPlugUserSecurity
            Dim mUserPara = mGetPlug.GetUserPlugParameter(strFileName, BaseFunction.SiteUser.UserGroupID)
            If mUserPara.Count > 1 Then
                Return "/"
            Else
                Return "/Sites/Site" & GetApplication("SiteID") & "/Template" & GetApplication("DefaultGroup") & "/"
            End If
        End If
    End Function
End Class
